TQFN-16-1EP_3x3mm_P0.5mm_EP1.23x1.23mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0136.PDF (T1633-5), https://pdfserv.maximintegrated.com/land_patterns/90-0032.PDF'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 3
  body_size_y:
    nominal: 3
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8
  lead_width:
    minimum: 0.2
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x: 1.23
  EP_size_y: 1.23
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  #heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm:
  device_type: 'TQFN'
  ipc_class: 'qfn'
  size_source: 'https://www.diodes.com/assets/Datasheets/PI6C5946002.pdf#page=12'
  body_size_x:
    minimum: 2.9
    nominal: 3.0
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    nominal: 3.0
    maximum: 3.1
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.18
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    minimum: 1.6
    nominal: 1.8
    maximum: 1.9
  EP_size_y:
    minimum: 1.6
    nominal: 1.8
    maximum: 1.9
  EP_size_x_overwrite: 1.6
  EP_size_y_overwrite: 1.6

  EP_num_paste_pads: [2, 2]

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4

TQFN-16-1EP_5x5mm_P0.8mm_EP2.29x2.29mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T1655-4)'
  #custom_name_format: 'TQFN-24-1EP_4x4mm_P0.5mm_EP2.8x2.8mm_PullBack{vias:s}'
  ipc_class: 'qfn' #'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  body_size_x:
    nominal: 5.0
  body_size_y:
    nominal: 5.0
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.25
    nominal: 0.3
    maximum: 0.35
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x:
    minimum: 2.19
    nominal: 2.29
    maximum: 2.39
  EP_size_y:
    minimum: 2.19
    nominal: 2.29
    maximum: 2.39
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.8
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #include_suffix_in_3dpath: 'False'

TQFN-16-1EP_5x5mm_P0.8mm_EP3.1x3.1mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T1655-2)'
  #custom_name_format: 'TQFN-24-1EP_4x4mm_P0.5mm_EP2.8x2.8mm_PullBack{vias:s}'
  ipc_class: 'qfn' #'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  body_size_x:
    nominal: 5.0
  body_size_y:
    nominal: 5.0
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.25
    nominal: 0.3
    maximum: 0.35
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x:
    minimum: 3.0
    nominal: 3.1
    maximum: 3.2
  EP_size_y:
    minimum: 3.0
    nominal: 3.1
    maximum: 3.2
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.8
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #include_suffix_in_3dpath: 'False'

TQFN-20-1EP_4x4mm_P0.5mm_EP2.1x2.1mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0139.PDF (T2044-2)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  body_size_y:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.2
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.45
    nominal: 0.55
    maximum: 0.65

  EP_size_x:
    minimum: 1.95
    nominal: 2.1
    maximum: 2.25
  EP_size_y:
    minimum: 1.95
    nominal: 2.1
    maximum: 2.25
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 5
  num_pins_y: 5
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-20-1EP_4x4mm_P0.5mm_EP2.7x2.7mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0139.PDF (T2044-5C)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  body_size_y:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.2
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.35
    nominal: 0.4
    maximum: 0.45

  EP_size_x:
    minimum: 2.6
    nominal: 2.7
    maximum: 2.8
  EP_size_y:
    minimum: 2.6
    nominal: 2.7
    maximum: 2.8
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 5
  num_pins_y: 5
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-20-1EP_4x4mm_P0.5mm_EP2.9x2.9mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-100172.PDF'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  body_size_y:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.2
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.25
    nominal: 0.3
    maximum: 0.35

  EP_size_x:
    minimum: 2.85
    nominal: 2.9
    maximum: 2.95
  EP_size_y:
    minimum: 2.85
    nominal: 2.9
    maximum: 2.95
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 5
  num_pins_y: 5
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-20-1EP_5x5mm_P0.65mm_EP3.1x3.1mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T2055-3)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.25
    nominal: 0.30
    maximum: 0.35
  lead_len:
    minimum: 0.45
    nominal: 0.55
    maximum: 0.65

  EP_size_x:
    minimum: 3.0
    nominal: 3.1
    maximum: 3.2
  EP_size_y:
    minimum: 3.0
    nominal: 3.1
    maximum: 3.2
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.65
  num_pins_x: 5
  num_pins_y: 5
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-20-1EP_5x5mm_P0.65mm_EP3.25x3.25mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T2055-5)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.25
    nominal: 0.30
    maximum: 0.35

  # The footprints with EP3.25mm have a specified lead length of 0.4mm
  # (while the default for 20-pins is 0.55mm). This uses the default lead
  # length (instead of the actual 0.4mm) for calculating the pad size,
  # to match the landing pattern recommended by Maxim (90-0010).
  lead_len:
    minimum: 0.30
    nominal: 0.40
    maximum: 0.50

  EP_size_x:
    minimum: 3.15
    nominal: 3.25
    maximum: 3.35
  EP_size_y:
    minimum: 3.15
    nominal: 3.25
    maximum: 3.35
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.65
  num_pins_x: 5
  num_pins_y: 5
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-24-1EP_4x4mm_P0.5mm_EP2.1x2.1mm:
  device_type: 'TQFN'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0139.PDF'
  custom_name_format: 'TQFN-24-1EP_4x4mm_P0.5mm_EP2.1x2.1mm{vias:s}'
  ipc_class: 'qfn_pull_back'
  body_size_x:
    nominal: 4.0
  body_size_y:
    nominal: 4.0
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8
  lead_width:
    minimum: 0.18
    nominal: 0.23
    maximum: 0.3
  lead_len:
    minimum: 0.45
    nominal: 0.55
    maximum: 0.65
  EP_size_x:
    minimum: 1.95
    nominal: 2.1
    maximum: 2.25
  EP_size_y:
    minimum: 1.95
    nominal: 2.1
    maximum: 2.25
  EP_num_paste_pads: [2, 2]
  thermal_vias:
    count: [3, 3]
    drill: 0.3
    paste_via_clearance: 0.1
    EP_paste_coverage: 0.65
    paste_avoid_via: False
  pitch: 0.5
  num_pins_x: 6
  num_pins_y: 6
  chamfer_edge_pins: 0.18

TQFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm:
  device_type: 'TQFN'
  size_source: 'http://pdfserv.maxim-ic.com/package_dwgs/21-0139.PDF'
  custom_name_format: 'TQFN-24-1EP_4x4mm_P0.5mm_EP2.6x2.6mm{vias:s}'
  ipc_class: 'qfn_pull_back'
  body_size_x: 4.0 +/- 0.1
  body_size_y: 4.0 +/- 0.1
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8
  lead_width:
    minimum: 0.18
    nominal: 0.23
    maximum: 0.3
  lead_len:
    minimum: 0.3
    nominal: 0.40
    maximum: 0.5
  EP_size_x:
    minimum: 2.45
    nominal: 2.6
    maximum: 2.63
  EP_size_y:
    minimum: 2.45
    nominal: 2.6
    maximum: 2.63
  EP_num_paste_pads: [2, 2]
  thermal_vias:
    count: [3, 3]
    drill: 0.3
    paste_via_clearance: 0.1
    EP_paste_coverage: 0.65
    paste_avoid_via: False
  pitch: 0.5
  num_pins_x: 6
  num_pins_y: 6
  chamfer_edge_pins: 0.05

TQFN-24-1EP_4x4mm_P0.5mm_EP2.8x2.8mm_PullBack:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://ams.com/documents/20143/36005/AS1115_DS000206_1-00.pdf'
  custom_name_format: 'TQFN-24-1EP_4x4mm_P0.5mm_EP2.8x2.8mm_PullBack{vias:s}'
  ipc_class: 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  body_size_x:
    nominal: 4.0
  body_size_y:
    nominal: 4.0
  overall_height:
    minimum: 0.5
    nominal: 0.55
    maximum: 0.65

  lead_to_edge:
    minimum: 0
    maximum: 0.15
  lead_width:
    minimum: 0.18
    nominal: 0.25
    maximum: 0.35
  body_to_inside_lead_edge:
    minimum: 0.3
    nominal: 0.35
    maximum: 0.4

  EP_size_x:
    minimum: 2.7
    nominal: 2.8
    maximum: 2.9
  EP_size_y:
    minimum: 2.7
    nominal: 2.8
    maximum: 2.9
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]


  thermal_vias:
    count: [3, 3]
    drill: 0.3
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.65
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 6
  num_pins_y: 6
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #include_suffix_in_3dpath: 'False'

TQFN-28-1EP_5x5mm_P0.50mm_EP2.70x2.70mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T2855-4)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.20
    nominal: 0.25
    maximum: 0.30
  lead_len:
    minimum: 0.45
    nominal: 0.55
    maximum: 0.65

  EP_size_x:
    minimum: 2.60
    nominal: 2.70
    maximum: 2.80
  EP_size_y:
    minimum: 2.60
    nominal: 2.70
    maximum: 2.80
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.50
  num_pins_x: 7
  num_pins_y: 7
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-28-1EP_5x5mm_P0.50mm_EP3.25x3.25mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T2855-3)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.20
    nominal: 0.25
    maximum: 0.30
  # There are variations of this footprint with a specified lead length
  # of 0.4mm (while the default for 28-pins is 0.55mm). This uses the
  # default lead length (instead of 0.4mm) for calculating the pad size,
  # to match the landing pattern recommended by Maxim for both the 0.4mm
  # and 0.55mm lead length variations (90-0028).
  lead_len:
    minimum: 0.45
    nominal: 0.55
    maximum: 0.65

  EP_size_x:
    minimum: 3.15
    nominal: 3.25
    maximum: 3.35
  EP_size_y:
    minimum: 3.15
    nominal: 3.25
    maximum: 3.35
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.50
  num_pins_x: 7
  num_pins_y: 7
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-32-1EP_5x5mm_P0.50mm_EP2.10x2.10mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T3255-6)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.20
    nominal: 0.25
    maximum: 0.30
  lead_len:
    minimum: 0.30
    nominal: 0.40
    maximum: 0.50

  EP_size_x:
    minimum: 2.00
    nominal: 2.10
    maximum: 2.20
  EP_size_y:
    minimum: 2.00
    nominal: 2.10
    maximum: 2.20
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.50
  num_pins_x: 8
  num_pins_y: 8
  chamfer_edge_pins: 0.09
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-32-1EP_5x5mm_P0.50mm_EP3.10x3.10mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T3255-3)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.20
    nominal: 0.25
    maximum: 0.30
  lead_len:
    minimum: 0.30
    nominal: 0.40
    maximum: 0.50

  EP_size_x:
    minimum: 3.00
    nominal: 3.10
    maximum: 3.20
  EP_size_y:
    minimum: 3.00
    nominal: 3.10
    maximum: 3.20
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.50
  num_pins_x: 8
  num_pins_y: 8
  chamfer_edge_pins: 0.09
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-32-1EP_5x5mm_P0.50mm_EP3.40x3.40mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T3255-9)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.20
    nominal: 0.25
    maximum: 0.30
  lead_len:
    minimum: 0.30
    nominal: 0.40
    maximum: 0.50

  EP_size_x:
    minimum: 3.30
    nominal: 3.40
    maximum: 3.50
  EP_size_y:
    minimum: 3.30
    nominal: 3.40
    maximum: 3.50
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.50
  num_pins_x: 8
  num_pins_y: 8
  chamfer_edge_pins: 0.09
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-40-1EP_5x5mm_P0.40mm_EP3.50x3.50mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://pdfserv.maximintegrated.com/package_dwgs/21-0140.PDF (T4055-1)'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    minimum: 0.7
    nominal: 0.75
    maximum: 0.8

  lead_width:
    minimum: 0.15
    nominal: 0.20
    maximum: 0.25
  lead_len:
    minimum: 0.30
    nominal: 0.40
    maximum: 0.50

  EP_size_x:
    minimum: 3.40
    nominal: 3.50
    maximum: 3.60
  EP_size_y:
    minimum: 3.40
    nominal: 3.50
    maximum: 3.60
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.40
  num_pins_x: 10
  num_pins_y: 10
  chamfer_edge_pins: 0.12
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

TQFN-44-1EP_7x7mm_P0.5mm_EP4.7x4.7mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/tqfn/21-0144.pdf' #T4477
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  #custom_name_format:
  body_size_x: 6.9 .. 7.0 .. 7.1
  body_size_y: 6.9 .. 7.0 .. 7.1
  overall_height: 0.70 .. 0.75 .. 0.80

  lead_width: 0.20 .. 0.25 .. 0.30
  lead_len: 0.45 .. 0.55 .. 0.65

  EP_size_x: 4.55 .. 4.70 .. 4.85
  EP_size_y: 4.55 .. 4.70 .. 4.85
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [3, 3]

  thermal_vias:
    count: [4, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 11
  num_pins_y: 11
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'
  compatible_mpns:
    - 'T4477+2'
    - 'T4477+2C'
    - 'T4477+3'

TQFN-48-1EP_7x7mm_P0.5mm_EP5.1x5.1mm:
  device_type: 'TQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/tqfn/21-0144.pdf' #T4877-3
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x: 6.9 .. 7.0 .. 7.1
  body_size_y: 6.9 .. 7.0 .. 7.1
  overall_height: 0.70 .. 0.75 .. 0.80

  lead_width: 0.20 .. 0.25 .. 0.30
  lead_len: 0.30 .. 0.40 .. 0.50

  EP_size_x: 4.95 .. 5.10 .. 5.25
  EP_size_y: 4.95 .. 5.10 .. 5.25
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [3, 3]

  thermal_vias:
    count: [4, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    #paste_between_vias: 1
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 12
  num_pins_y: 12
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'
  compatible_mpns:
    - 'T4877+3'
    - 'T4877+3C'
